#@TYPE: Machine
#@NAME: pinephone
#@DESCRIPTION: Machine configuration for the pinephone

require conf/machine/include/sun50i_a64.inc

KERNEL_DEVICETREE = "allwinner/sun50i-a64-pinephone-1.0.dtb \
    allwinner/sun50i-a64-pinephone-1.1.dtb \
    allwinner/sun50i-a64-pinephone-1.2.dtb \
    allwinner/sun50i-a64-pinephone-1.2b.dtb \
"
UBOOT_MACHINE = "pinephone_defconfig"

SPL_BINARY = "u-boot-sunxi-with-spl.bin"

# as for now neither graphics nor audio is supported
MACHINE_FEATURES:remove = "x11"
MACHINE_FEATURES:append = "bluetooth wifi"

MACHINE_EXTRA_RRECOMMENDS = "pinephone-firmware"